# OpenXR VIVE Cosmos Controllers Unreal Plugin

The OpenXR extension [XR_HTC_vive_cosmos_controller_interaction](https://www.khronos.org/registry/OpenXR/specs/1.0/html/xrspec.html#XR_HTC_vive_cosmos_controller_interaction) enables the use of HTC Vive Cosmos Controllers interaction profiles in OpenXR.

## Enable Plugins
1. **Edit** > **Plugins** > Search for **OpenXR** and **ViveOpenXR**. Verify that those plugins has been enabled.
2. Note that the **"Steam VR"** plugin must be disabled for OpenXR to work.
3. You need to restart the engine for changes to take effect.

## How to use OpenXR Cosmos Controller Unreal Feature
1. Please make sure **ViveOpenXR** Plugin is in your project's **Plugins** folder, if not, Copy it to your game's Plugins directory. Skip this step if using the example **ViveOpenXRPlugins** project.
2. **Edit** > **Project Settings** > **Plugins** > **Vive OpenXR** > Click **Enable Cosmos Controller** under **Cosmos Controller** to enable OpenXR Cosmos Controller extension.
3. You need to restart the engine to apply new settings after clicking **Enable Cosmos Controller**.