// Copyright (c) 2022 HTC Corporation. All Rights Reserved.

#pragma once

#include "AnimGraphNode_Base.h"
#include "AnimNode_FacialTrackingPose.h"

#include "AnimGraphNode_FacialTrackingPose.generated.h"



UCLASS()
class UAnimGraphNode_FacialTrackingPose : public UAnimGraphNode_Base
{
	GENERATED_BODY()

public:

	//~ UEdGraphNode interface
	virtual FText GetNodeTitle(ENodeTitleType::Type TitleType) const override;
	virtual FText GetTooltipText() const override;
	virtual FText GetMenuCategory() const;
	//~ End of UEdGraphNode

public:

	UPROPERTY(EditAnywhere, Category = Settings)
		FAnimNode_FacialTrackingPose Node;

};
