// Copyright (c) 2022 HTC Corporation. All Rights Reserved.

namespace UnrealBuildTool.Rules
{
	public class ViveOpenXRGraphNode : ModuleRules
	{
		public ViveOpenXRGraphNode(ReadOnlyTargetRules Target) : base(Target)
		{
			PrivateIncludePaths.AddRange(
					new string[] { 
					}
				);
			PublicDependencyModuleNames.AddRange(
				new string[]
				{

				}
			);

			PrivateDependencyModuleNames.AddRange(
				new string[]
				{
					"AnimationCore",
					"AnimGraphRuntime",
					"Core",
					"CoreUObject",
					"Engine",
					"InputCore",
					"KismetCompiler",
					"Persona",
					"SlateCore",
					"ViveOpenXR"
				}
			);

			if (Target.bBuildEditor == true)
			{
				PrivateDependencyModuleNames.AddRange(
					new string[]
					{
						"UnrealEd",
						"Kismet",
						"GraphEditor",
						"PropertyEditor",
						"EditorStyle",
						"AnimGraph",
						"BlueprintGraph",
					}
				);
			}
		}
	}
}
