# VIVE OpenXR Unreal Plugin
The "VIVE OpenXR" plugin package contains some OpenXR Unity features for developers to use.
## Unreal Features
### 1. [OpenXR Facial Tracking](./features/FacialTracking.md)
To help software developers create an application with actual facial expressions on 3D avatars with the OpenXR facial tracing extension [XR_HTC_facial_tracking](https://www.khronos.org/registry/OpenXR/specs/1.0/html/xrspec.html).
### 2. [OpenXR SceneUnderstanding](./features/SceneUnderstanding.md)
Demonstrate configuring, calculating and generating mesh of surrouding environments by the OpenXR scene understanding extension [XR_MSFT_scene_understanding](https://www.khronos.org/registry/OpenXR/specs/1.0/html/xrspec.html#XR_MSFT_scene_understanding).
### 3. [OpenXR VIVE Cosmos Controller](./features/CosmosController.md)
The Openxr extension  [XR_HTC_vive_cosmos_controller_interaction](https://www.khronos.org/registry/OpenXR/specs/1.0/html/xrspec.html#XR_HTC_vive_cosmos_controller_interaction) enables the use of HTC Vive Cosmos Controllers interaction profiles in OpenXR.
## Note
You can find the **Documentation** for each feaure in **Edit** > **Project Settings** > **Plugins** > **Vive OpenXR**.